RDKit::AtomInvariantsGenerator Class Referenceabstract

abstract base class for atom invariants generators More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::AtomInvariantsGenerator:

## Public Member Functions

virtual std::vector< std::uint32_t > * | getAtomInvariants (const ROMol &mol) const =0
| get atom invariants from a molecule More...
virtual std::string | infoString () const =0
| method that returns information about this /c AtomInvariantsGenerator and its arguments More...
virtual | ~AtomInvariantsGenerator ()
virtual AtomInvariantsGenerator * | clone () const =0

## Detailed Description

abstract base class for atom invariants generators

Definition at line 206 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ~AtomInvariantsGenerator()

virtual RDKit::AtomInvariantsGenerator::~AtomInvariantsGenerator | ( |  | ) |

inline virtual

Definition at line 228 of file FingerprintGenerator.h.

## Member Function Documentation

## clone()

virtual AtomInvariantsGenerator* RDKit::AtomInvariantsGenerator::clone | ( |  | ) | const

pure virtual

Implemented in RDKit::RDKitFP::RDKitFPAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, and RDKit::AtomPair::AtomPairAtomInvGenerator.

## getAtomInvariants()

virtual std::vector<std::uint32_t>* RDKit::AtomInvariantsGenerator::getAtomInvariants | ( | const ROMol & | mol | ) | const

pure virtual

get atom invariants from a molecule

Parameters

  mol | molecule to generate the atom invariants for

Returns
  std::vector<std::uint32_t> atom invariants generated for the given molecule

Implemented in RDKit::RDKitFP::RDKitFPAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, and RDKit::AtomPair::AtomPairAtomInvGenerator.

## infoString()

virtual std::string RDKit::AtomInvariantsGenerator::infoString | ( |  | ) | const

pure virtual

method that returns information about this /c AtomInvariantsGenerator and its arguments

Returns
  std::string information string

Implemented in RDKit::RDKitFP::RDKitFPAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, and RDKit::AtomPair::AtomPairAtomInvGenerator.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h